Package com.independentsoft.office.word.footnoteEndnote

# Enum Class RestartNumber

java.lang.Object
java.lang.Enum<RestartNumber>
com.independentsoft.office.word.footnoteEndnote.RestartNumber

All Implemented Interfaces:
  `Serializable`, `Comparable<RestartNumber>`, `Constable`

public enum RestartNumber extends Enum<RestartNumber>
The Enum RestartNumber.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CONTINUOUS`
  `EACH_PAGE`
  `EACH_SECTION`
  `NONE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RestartNumber`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static RestartNumber[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CONTINUOUS

    public static final RestartNumber CONTINUOUS

  - ### EACH_PAGE

    public static final RestartNumber EACH_PAGE

  - ### EACH_SECTION

    public static final RestartNumber EACH_SECTION

  - ### NONE

    public static final RestartNumber NONE

- ## Method Details

  - ### values

    public static RestartNumber[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static RestartNumber valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null